html, body, textarea {
    font: small/1.5 "Helvetica Neue", Arial, Helvetica, Tahoma, sans-serif;
}
html, body {
    background: #1666A2 !important; /* Main app background */
}
img {
    border: 0;
}
.hide {
    display: none !important;
}
.hidden {
    visibility: hidden;
}
.bold {
    font-weight: bold;
}

a:not([role="button"]):link,
a:not([role="button"]):visited {
    color: #36C;
    text-decoration: none;
}
a:not([role="button"]):hover {
    text-decoration: underline;
}

.errorMessage {
    color: #B02B2C;
    font-weight: bold;
}

.lefty {
    /*width: 500px;*/
    float: left;
    padding-right: 10px;
}

.hint {
    color: #666;
    font-size: 10px;
    margin: 0;
}

.ui-widget {
    font-family: "Helvetica Neue", Arial, Helvetica, Tahoma, sans-serif;
    font-size: 0.9em;
}

#navSubMenu {
    background: white;
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
    box-shadow: 1px 1px 1px 1px #ccc;
    display: none;
    padding: 5px;
    z-index: 500;
}

.nav-sub-menu-list {
    display: none;
    padding-left: 0;
}

.nav-sub-menu-list li {
    margin: 5px;
    padding: 5px;
}

.nav-sub-menu-list li:hover {
    background-color: #bbd6ff;
    cursor: pointer;
}

#invokeActionListDiv {
    display: none;
}

#invokeActionList {
    font-family: "Helvetica Neue", Arial, Helvetica, Tahoma, sans-serif;
    font-size: 20px;
    width: 450px;
}

textarea .description {
    height: 30px;
}

h2 {
    margin: 1em 0 .6em;
    border-bottom: 1px solid #566E73;
    padding: 0;
    color: #344;
    font-size: 110%;
    overflow: hidden;
    zoom: 1;
}
h2 b {
    float: left;
    margin: 0;
    padding: .2em .6em;
    background-color: #8DA6A6;
    color: #FFF;
    font-size: 85%;
    font-weight: bold;
    text-transform: uppercase;
    text-shadow: #566E73 -1px -1px 0;
}
h2 b .light {
    color: #EEE;
    font-weight: normal;
}
/* Heading with button */
h2 a.button {
    float: right;
    margin: -.5em 0 0 .5em !important;
    padding: 0 !important;
    font-size: 12px;
}
h2 a.link-button {
    float: right;
    color: #F70;
    font-size: 90%;
    font-weight: bold;
}
h3 {
    margin: .6em 0 .2em;
    padding: 0;
    font-size: 100%;
    color: #C60;
}
h4 {
    margin: 1em 0 .25em;
    padding: 0;
    color: #000;
    font-weight: bold;
    font-size: 1.1em;
}

p {
    margin: .5em 0 1em;
}

#globalDropZone {
    background-color: #ffffe6;
    border: 2px dotted #0B85A1;
    display: none;
    left: 30px;
    text-align: center;
    overflow: hidden;
    position: absolute;
    top: 5px;
    filter:alpha(opacity=75);
    opacity: 0.75;
    -moz-opacity: 0.75;
}

#globalDropZone .title {
    line-height: 100%;
    padding-top: 5px;
    font-size: 18pt;
    font-weight: bold;
}

.rack-visual-list a {
    border: 1pt #333 solid;
    color: #000;
    display: inline-block;
    line-height: 90%;
    margin: 0px 4px 8px 0;
    padding: 5pt;
}

.rack-visual-list .visual-current-rack {
    color: #fff !important;
    background-color: #922;
}

/* Helpers
------------------------------ */

.clearfix:after, .container:after {

    content: ".";

    display: block;

    height: 0;

    clear: both;

    visibility: hidden;

}

.clearfix, .container {display: inline-block;}

* html .clearfix,

* html .container {height: 1%;}

.clearfix, .container {display: block;}

a.link-action:link,
a.link-action:visited {
    border-bottom: 1px dashed;
    color: #999;
    text-decoration: none;
}
a.link-action:hover {
    border-bottom-style: solid;
    text-decoration: none;
}

.comment {
    font: italic 90%/1.35 Georgia, "Times New Roman", Times, serif;
    color: #888;
}
p.comment {
    margin: .6em .5em 1.2em;
    padding: .6em 0 .6em 2.2em;
    background: url(../images/i_comment.gif) no-repeat 0 .6em;
    font-size: 90%;
    //overflow:visible;
    //height: 1%;
}
span.color-label {
    float: left;
    width: 12px;
    height: 12px;
    margin: -.1em .25em 0 0;
    padding: 3px;
    background: url(../images/label-bg.gif) 0 0 no-repeat;
}
span.color-label.empty {
    background: none;
}
span.color-label img {
    display: block;
    margin: 0;
    padding: 0;
}

.num {
    text-align: right;
}

.right {
    float: right;
}

.left {
    float: left;
}

.center {
    text-align: center;
}
/* Page Layout
------------------------------ */
#container {
    margin: 0 auto;
    padding: 0 15px;
}
* html #container {
    width:expression((document.documentElement.clientWidth < 760) ? "760px" : "auto");
}

/* Special pages layout */
#specialPage {
    background-repeat: repeat-x;
}
#specialPage #header {
    width: 650px;
    height: 100px;
    margin: 0 auto;
    padding: 0;
    text-align: left;
    overflow: hidden;
}
#specialPage #header h1 {
    width: 100%;
    height: 100px;
    margin: 0;
    padding: 0;
    background: url(../images/logo-beanstalk-big.png) no-repeat 46.5% 20px;
    text-align: center;
    text-transform: lowercase;
    text-indent: -10000px;
    font-size: 360%;
    filter:alpha(opacity=50);
    opacity: 0.5;
    -moz-opacity: 0.5;
}
* html #specialPage #header h1 {
    background-position: 48.5% 25px;
}
#specialPage #header h1 a {
    display: block;
    height: 100px;
}

#specialPage #page {
    margin: 2em auto;
    padding: 0;
    text-align: left;
    width: 650px;
    border: 5px solid #7D9999;
    background-color: #FFF;
}
#specialPage #page ul {
    padding-left: 1.8em;
}
#specialPage #page ul li {
    padding: 0 0 .5em;
}
#specialPage #page h2 {
    margin-top: 2em;
}

/* Error pages */

#specialPage.errorPage {
}
#specialPage.errorPage #wrapper {
    min-width: 930px;
    background: url(../images/bg-head-pattern.gif) no-repeat 50% 0;
}

#specialPage.errorPage #header {
    width: 650px;
    height: 115px;
    text-align: center;
}
#specialPage.errorPage #header h1,
#specialPage.errorPage #header h2 {
    display: block;
    float: none;
    margin: 0 auto;
    border: 0;
    padding: 0;
    background-position: 0 0 !important;
    text-align: left;
    text-indent: -10000px;
    text-transform: none;
    text-shadow: none;
    font-size: 100%;
    filter:alpha(opacity=100);
    opacity: 1.0;
    -moz-opacity: 1.0;
}
#specialPage.errorPage #header h1 {
    height: 41px;
    margin-top: 30px;
}
#specialPage.errorPage #header h2 {
    height: 14px;
    color: #CCC5B8;
}
#specialPage.errorPage #header.error-404 h1 {
    width: 284px;
    background-image: url(../images/error-404-h1.gif);
    color: #FC0;
}
#specialPage.errorPage #header.error-404 h2 {
    width: 330px;
    background-image: url(../images/error-404-h2.gif);
}
#specialPage.errorPage #header.error-500 h1 {
    width: 433px;
    background-image: url(../images/error-500-h1.gif);
    color: #F24F18;
}
#specialPage.errorPage #header.error-500 h2 {
    width: 340px;
    background-image: url(../images/error-500-h2.gif);
}
#specialPage.errorPage #header.error-update h1 {
    width: 351px;
    background-image: url(../images/error-update-h1.gif);
    color: #F24F18;
}
#specialPage.errorPage #header.error-update h2 {
    width: 359px;
    background-image: url(../images/error-update-h2.gif);
}

#specialPage.errorPage #page {
    margin: 0 auto;
    border: 0 !important;
    background-color: #FFF;
}
#specialPage.errorPage #page .content {
    padding: 15px 25px 10px;
    border: 1px solid #696250;
}
#specialPage.errorPage #page h3 {
    margin: 1em 0 0;
    font-size: 1.15em;
}
#specialPage.errorPage #page p {
    margin-top: 0;
}
#specialPage.errorPage #page .block-container {
    border-bottom: 0;
    background-color: #4D4432;
    color: #B3AA98;
}
#specialPage.errorPage #page .block-container h3,
#specialPage.errorPage #page .block-container a {
    color: #FFF;
}
#specialPage.errorPage #page .block-contact {
    border-color: #E5E2DA;
    background-color: #E5E2DA;
    color: #000;
}
#specialPage.errorPage #page .block-contact h3 {
    margin: 0 0 .4em;
    color: #332A19;
    font-weight: bold;
}

#page {
    background-color: #FFF;
    overflow: hidden;
    -moz-border-radius: 3px;
    -webkit-border-top-left-radius: 3px;
    -webkit-border-top-right-radius: 3px;
}
.content {
    margin: 0;
    padding: 10px;
    overflow: hidden;
    zoom: 1;
}
#specialPage .content { padding: 15px; }

/* Wide layout */
.wide {
    display: block;
    float: none;
    width: 100%;
}


/* Header section
------------------------------ */

#header {
    margin: 0;
    padding: 0 30px 0;
    overflow: hidden;
    zoom: 1;
}
#header h1 {

}
#header h1.long {
    width: auto;
}
#header h1 a:link,
#header h1 a:visited,
#header h1 a:hover,
#header h1 a:active {
    color: #FFE;
}

#header .metanav,
#header .metanav a {
    color: white !important; /* Meta nav colour */
}
#header .metanav a:hover {
    border-bottom: 1px solid;
}
#header .metanav {
    padding: .75em 0;
    font-size: .85em;
    overflow: hidden;
    zoom: 1;
}
#header .metanav p {
    float: left;
    margin: 0;
    padding: 0;
}
#header .metanav .meta-personal {
    float: right;
}
#header .metanav .meta-personal em {
    font-style: normal;
}
#header .metanav a {
    text-decoration: none;
}

.jqdropdown .jqdropdown-menu {
    max-width: none;
}
/* Textarea for admin */
.textarea {
    width: 99.5%;
}

/* Main navigation
------------------------------ */

ul.mainnav {
    float: left;
    margin-bottom: 0;
    padding-left: 0;
}
ul.mainnav li {
    float: left;
    margin-left: .5em;
    font-size: 100%;
    list-style: none;
}
ul.mainnav li a,
ul.mainnav li strong {
    float: left;
    background-color: #375D81 !important;
    color: #DDD !important;
    font-weight: bold;
    text-decoration: none;
    -moz-border-radius-topleft: 3px;
    -moz-border-radius-topright: 3px;
    -webkit-border-top-left-radius: 3px;
    -webkit-border-top-right-radius: 3px;
}
ul.mainnav li span {
    display: block;
    padding: .5em .75em;
}
ul.mainnav li a:hover {
    color: #FFF;
    text-decoration: none!important;
    background-color: #688299;
}

ul.mainnav li a.hover {
    color: #FFF;
    background-color: #688299;
}

ul.mainnav li.active a,
ul.mainnav li.active strong {
    color: #333;
    background: #C4D7ED;
}
ul.mainnav li.active a span,
ul.mainnav li.active strong span {
    background-position: 100% -54px;
}

/* count */
.mainnav span.count {
    display: inline;
    margin: 0;
    padding: 0;
    color: #887;
    font-size: .85em;
}
.mainnav span.count strong {
    float: none;
    background-color: transparent;
}


/* Content area */

/* Page heading */
.page-heading {
    padding: .30em 30px;
    background: #C4D7ED;
    border-bottom: 1px solid #AEB8CC;
    overflow: hidden;
    zoom: 1;
    -moz-border-radius-topleft: 3px;
    -moz-border-radius-topright: 3px;
    -webkit-border-top-left-radius: 3px;
    -webkit-border-top-right-radius: 3px;
}
#specialPage .page-heading {
    padding: .4em 15px;
}

.page-heading div {
    line-height: 2.1em;
}
.page-heading div.right {
    padding: 0;
    margin-left: 15px;
}

h1.page-heading {
    color: #333;
    font: bold 150% "Helvetica Neue", Arial, Helvetica, Tahoma, sans-serif;
}
h2.username {
}
h2.username img {
    vertical-align: -8px;
}

/* Toolbar button modifications */
.page-heading a {
    margin-right: 1em;
    color: #000 !important;
    background-color: #FFF;
}
.page-heading .button {
    background-image: url(../images/btn-toolbar-l.gif);
}
.page-heading .button span {
    background-image: url(../images/btn-toolbar-r.gif);
}

.page-heading a.button:active {
    text-shadow: #EEE 1px 1px 0;
}
.page-heading a.button:active span {
    padding: 7px 11px 5px 1px;
}

.page-heading .disabled {
    color: #999 !important;
    text-shadow: #EEE 1px 1px 0 !important;
    background-position: 0 -78px !important;
    cursor: default !important;
}
.page-heading .disabled span {
    background-position: 100% -78px !important;
}


/* Button in page heading */

.page-heading b {
    float: left;
    width: 75%;
}
.page-heading .button {
    float: right;
    margin: 0 0 0 1em;
}
.page-heading .button span {
    height: auto !important;
}

/* Tables globals */
table {
    width: 100%;
    margin: 0;
    padding: 0;
    border-spacing: 0;
    border-collapse: collapse;
}


/* Horizontal sub nav */
ul.sub-nav {
    margin: -1px 0 1em;
    padding: 0 30px;
    overflow: hidden;
}
ul.sub-nav li {
    float: left;
    margin: 0 .5em 0 0;
    list-style: none;
    font-weight: bold;
}
ul.sub-nav li a,
ul.sub-nav li div {
    float: left;
    border-width: 0 1px 1px;
    border-style: solid;
    padding: .5em .85em;
}
ul.sub-nav li a:link,
ul.sub-nav li a:visited {
    margin-top: 1px;
    border-color: #FFF;
    color: #36C;
    text-decoration: underline;
}
ul.sub-nav li a:hover {
    border-color: #AEB8CC;
    color: #183152;
}
ul.sub-nav li div {
    border-color: #AEB8CC;
    background-color: #C4D7ED;
    color: #183152;
}

/* info table */

.tbl-info {
    margin: 0 0 2em;
    font-size: 100%;
}
.tbl-info th,
.tbl-info td {
    padding: .5em;
    vertical-align: top;
    border-bottom: 1px solid #E9E9E9;
}
.tbl-info th {
    background-color: #8EA7A6;
    color: #FFF;
    font-weight: bold;
    text-align: left;
}

.tbl-info thead th {
    padding: .4em .5em;
    border-bottom: 1px solid #E9E9E9;
    background-color: transparent;
    color: #183152;
    font-size: 90%;
}
.tbl-info.tbl-info-slim th,
.tbl-info.tbl-info-slim td {
    padding: .1em 0;
}

/* Buttons */

a.button {
    display: block;
    float: left;
    margin: .5em 0;
    padding: 0;
    font: 11px "Lucida Grande", "Trebuchet MS", Verdana, sans-serif !important;
    color: #445;
    text-decoration: none!important;
    text-shadow: #FFF 1px 1px 0;
    background: url(../images/btn-l.gif) 0 0 no-repeat;
    height: 26px;
    overflow: hidden;
    cursor: pointer;
}
* html a.button { display: inline; }
a.button:hover {
    color: #223;
    text-decoration: none;
    background-position: 0 -26px;
}
a.button:active {
    color: #000;
    text-decoration: none;
    background-position: 0 -52px;
}
a.button.disabled {
    color: #AAA;
    text-decoration: none;
    background-position: 0 -78px;
    cursor: default;
}
a.button span {
    float: left;
    margin-left: 12px;
    padding: 6px 12px 6px 0;
    font-size: 100%;
    background: url(../images/btn-r.gif) 100% 0 no-repeat;
    height: 26px;
}
a.button:hover span {
    background-position: 100% -26px;
}
a.button:active span {
    background-position: 100% -52px;
}
a.button.disabled span {
    background-position: 100% -78px;
}

a.button span b.icon {
    position: relative;
    float: left;
    margin: 0 3px 0 -4px;
    width: 16px;
    height: 16px;
    background-position: 0 0;
    background-repeat: no-repeat;
}
a.button.disabled span b.icon {
    opacity: .3;
    //filter: alpha(opacity = 50);
    //zoom: 1;
}

/* Forms */

form {
    margin:0;
    padding:0;
}
fieldset {
    position: relative;
    margin: 0 0 1em;
    padding: .5em;
    background-color: #FAFAFF;
    border: 1px solid #D5D9E0;
}
/* Gecko fix */
html>body form fieldset {
    overflow: hidden;
}

fieldset legend {
    margin: 0;
    padding: .30em .65em;
    color: black;
    float: initial;
    font-size: 100%;
    font-weight: bold;
    background-color: #B8CDE9;
    width: auto;
}

form fieldset input,
form fieldset textarea {
    font-size: 100%;
}

form fieldset input[type=submit] {
    float: left;
}

form fieldset h3 {
    margin: .75em .5em;
}

.http {
    margin-left: -2.9em;
    color: #999;
}
.fullwidth {
    width: 98%;
}
fieldset.no-title {
    padding: .75em .5em 0;
}
fieldset.no-border {
    margin:0 0 .75em;
    padding: .25em 0;
    border: 0;
    background-color: transparent;
}

.form-label {
    float: left;
    padding: .5em 0 .25em .5em;
    margin-right: -150px;
    width: 140px;
}
.form-label.required, .col-form-label.required {
    font-weight: bold;
}
.form-label.required:after, .col-form-label.required:after {
    content: ' *';
    color: red;
}

.form-field {
    padding: .25em 0;
    margin-left: 150px;
}

.form-field.surround {
    background-color: white;
    border: 1px gray solid;
    margin: 5px 5px 5px 150px;
    min-height: 20px;
    padding: 3px;
    width: 300px;
}

.value-surround {
    background-color: white;
    border: 1px gray solid;
    margin: 5px 5px 5px 5px;
    padding: 3px;
    width: 75%;
}

.button-div {
    clear: both;
    margin-top: 20px;
}

.notification {
    margin: 0 0 1em;
    border: 1px solid #FC6;
    padding: .75em 1em .5em;
    background: #FFC;
    overflow: hidden;
    // height: 1%;
}
.notification h2 {
    margin: 0;
    border: 0;
    padding: .25em 0;
    font-size: 120%;
    color: #900;
}
.notification p {
    margin: .5em 0 .75em !important;
    padding: 0;
}
.notification ul,
.notification ol {
    margin-left: 2.1em;
    margin-bottom: 1em;
}

.error {
    padding-left: 3em;
    background: #A30 url(../images/icons/error.png) 3px 3px no-repeat;
    border: 1px solid #300;
    color: #FFF;
}
.error h2 {
    color: #FFC;
}
.error a {
    border-bottom: 1px dotted #FFC;
    color: #FFC !important;
    text-decoration: none !important;
}
.error a:hover {
    border-bottom-style: solid;
}

/* Login page */
.login form fieldset {
    margin: 0;
    padding: 0;
    background-color: transparent;
    color: #999;
    border: 0;
}
.login form .form-label {
    font-size: 135%;
    width: 7.5em;
}
.login form .form-label label {
    color: #999;
}
.login form .form-field {
    margin-left: 10.5em;
}
.login form .form-field.remember-me {
    margin: 0 0 1em 10.25em;
}
.login form fieldset input:not(.ui-button) {
    padding: .25em;
    font-size: 135%;
}

.login a.jslink:link,
.login a.jslink:visited {
    color: #36C;
    text-decoration: none;
    border-bottom: 1px dashed #36C;
}
.login a.jslink:hover {
    border-style: solid;
}

/* Helpers
------------------------------ */

.clear {
    clear: both;
}


/* Disabled page
------------------------------ */

#disabled a { cursor: default; }
#disabled a:hover { text-decoration: none; }
#disabled .notification a { cursor: auto; }
#disabled .notification a:hover { text-decoration: underline; }


#disabled #header ul li a {
    color: #DDD !important;
    background-position: 0 0 !important;
}
#disabled #header ul li span {
    background-position: 100% 0 !important;
}


#disabled ul.mainnav li {
    filter:alpha(opacity=40);
    opacity: 0.4;
    -moz-opacity:0.4;
}
#disabled ul.mainnav li a,
#disabled ul.mainnav li strong {
    color: #233 !important;
    background-position: 0 0;
}
#disabled ul.mainnav li span {
    background-position: 100% 0;
}
#disabled ul.mainnav li.active a,
#disabled ul.mainnav li.active div {
    color: #FFF !important;
    background-position: 0 -54px;
}
#disabled ul.mainnav li.active span {
    background-position: 100% -54px;
}


#disabled #header h1,
#disabled #header ul li,
#disabled .page-heading,
#disabled .activity-timeline,
#disabled .sidebar,
#disabled #footer {
    filter:alpha(opacity=25);
    opacity: 0.25;
    -moz-opacity:0.25;
}
#disabled #header ul li *,
#disabled .sidebar * {
    filter:alpha(opacity=25);
}

#disabled dl.repos-list dt a:hover {
    background-color: transparent;
}


/* Service List */

ul.services {
    list-style: none;
    margin: 0px !important;
    padding: 3px !important;
}
.services li {
    border-bottom: 1px solid #e9e9e9;
    padding-left: 18px;
    padding-top: 4px;
}
.services li.stopped {
    background: url(/images/label-red.gif) no-repeat 0px 8px;
}
.services li.running {
    background: url(/images/label-green.gif) no-repeat 0px 8px;
}

/* Form Error List */

ul.errors {
    list-style: none;
    margin: 0px !important;
    padding: 3px !important;
}
.errors li, .ruleErrors {
    background:#FFFACC url(/resources/images/icons/exclamation.png) no-repeat scroll 5px 5px;
    border:1px solid #F4E988;
    padding:5px 10px 5px 25px !important;
    color: #333;
}

ul.flash {
    list-style: none;
    margin: 0px !important;
    padding: 3px !important;
}
.flash li {
    background:#FFFACC url(/resources/images/icons/accept.png) no-repeat scroll 5px 5px;
    border:1px solid #F4E988;
    padding:5px 10px 5px 25px !important;
    color: #333;
}

.error-messenger {
    margin: 10px auto;
    background: #B02B2C url('/resources/images/icons/error.png') no-repeat 10px 50%;
    text-align: center;
    color: #fff;
    padding: 4px 4px 4px 28px;
    visibility: hidden;
    -moz-border-radius:4px;
    -webkit-border-radius: 4px;
}
.warning-messenger {
    margin: 10px auto;
    background: #D15600 url('/resources/images/icons/flag_yellow.png') no-repeat 10px 50%;
    text-align: center;
    color: #fff;
    padding: 4px;
    visibility: hidden;
    -moz-border-radius:4px;
    -webkit-border-radius: 4px;
}
.warning-messenger-left {
    margin: 5px 0;
    background: #D15600 url('/resources/images/icons/flag_yellow.png') no-repeat 10px 50%;
    color: #fff;
    padding: 4px 4px 4px 28px;
    -moz-border-radius:4px;
    -webkit-border-radius: 4px;
}
.ok-messenger {
    margin: 10px auto;
    background: #CDEB8B url('/resources/images/icons/tick.png') no-repeat 10px 50%;
    text-align: center;
    color: #333;
    padding: 4px;
    visibility: hidden;
    -moz-border-radius:4px;
    -webkit-border-radius: 4px;
}
.logo-heading {
    text-align: left;
    padding: 8px 8px 8px 120px;
    font-size: 3em;
    font-style: italic;
    background: url('/resources/images/logo.png') no-repeat 10px 50%;
    color: #cfcfcf;
}
.no-margin {
    margin: 0 !important;
}
.item-header {
    background-color: #FAFAFF;
    border: 1px solid #D5D9E0;
    margin: 0 0 10px 0;
    padding: 8px;
}

.item-header a.button {
    margin: 0;
}
.nice-header {
    background-color: #999999;
    color: #FFFFFF;
    font-size: 100%;
    font-weight: bold;
    margin: -20px 0 8px 0;
    padding: 0.25em 0.65em;
    position: relative;
    text-shadow: 1px 1px 0 #666666;
}
.linked-items div {
    margin: 8px 0 8px 0;
}
/** Fix UI */
.ui-autocomplete {
    max-height: 300px;
    overflow: auto;
}
#ui-datepicker-div {
    z-index: 955 !important;
}
/*
 * This prevents <input submit> and <button> being different sizes: especially
 * in IE8!
 */
.ui-button .ui-button-text, input.ui-button {
    line-height: 1em !important;
}

.upperCase {
    text-transform: uppercase;
}

.tbl-slots {
    margin: 0 0 0;
    font-size: 100%;
}
.tbl-slots th,
.tbl-slots td {
    padding: .5em;
    vertical-align: middle;
    border: 1px solid #333;
    text-align: center;
}
.tbl-slots th {
    background-color: #d9d9d9;
    font-weight: bold;
}
.tbl-slots .corner {
    background: #efefef;
}
.tbl-slots .hover {
    background: #efefef;
}
.tbl-slots .selected {
    background: #C4D7ED;
    outline: 0;
    -moz-outline-style:none;
    outline-style: none;
}
.tbl-slots .tdover {
    background: #C4D7ED;
}

.table-standard {
    margin: 0 0 0em;
    font-size: 100%;
}
.table-standard > tbody > tr.table-success {
    background-color: #d1e7dd;
}
.table-standard > tbody > tr.table-danger {
    background-color: #f8d7da;
}
.table-standard > tbody > tr.table-warning {
    background-color: #fff3cd;
}
.table-standard th,
.table-standard td {
    padding: .5em;
    vertical-align: middle;
    border: 1px solid #333;
    text-align: center;
}
.table-standard th {
    background-color: #d9d9d9;
    font-weight: bold;
}
.table-standard .corner {
    background: #efefef;
}
.table-standard .hover {
    background: #efefef;
}
.table-standard .selected {
    background: #C4D7ED;
    outline: 0;
    -moz-outline-style:none;
    outline-style: none;
}

.table-standard.text-left th,
.table-standard.text-left td {
    text-align: left;
}

.gap-above {
    margin-top: 8px;
}

.text-offset {
    margin-top: 3px;
}

/*
 ***** Searching/index *****
 */
.search-fields {
    margin-bottom: 10px;
}

.search-group {
    display: inline-block;
    margin-right: 10px;
}

.search-field button, .search-field input[type=submit] {
    top: -4px;
}

#view-content {
    clear: both;
}

tr.workflow-notes-below td {
    border-bottom: none;
}
tr.workflow-notes td {
    border-top: none;
}

ul.token-input-list-facebook {
    margin: 3px 0px 3px 0px !important;
    width: 100%;
}
abbr {
    border-bottom: 1px dotted #333;
}

#ui-loading-normal {
    width: 150px;
    background: #B02B2C url('/resources/images/loading-trans.gif') no-repeat 18px 8px;
    text-align: center;
    color: #fff;
    padding: 4px;
    position: absolute;
    top: 65px;
    right: 20px;
    margin: 4px;
    -moz-border-radius:4px;
    -webkit-border-radius: 4px;
    z-index: 9999;
}
#ui-loading-modal {
    width: 250px;
    background: #FFF;
    text-align: center;
    color: #333;
    padding: 4px;
    position: absolute;
    line-height: 2em;
    border: 1px solid #ccc;
    -moz-border-radius:4px;
    -webkit-border-radius: 4px;
}

.port {
    float: left;
    height: 100px;
    width: 250px;
    margin: 5px;
    border: 1px solid #000;
    background-color: #9AFF9A;
    padding: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
    min-height: 50px;
}
.subPort {
    float: left;
    height: 100px;
    width: 250px;
    margin: 5px;
    border: 1px solid #000;
    background-color: #9AFF9A;
    padding: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
}

/**
 * Common elements
 */
div.standard-div {
    float: left;
    margin-right: 20px;
    width: 550px;
}
div.standard-div-half {
    float: left;
    margin-right: 20px;
    width: 48%;
}

div.standard-div .table-standard,
div.standard-div-full .table-standard,
.standard-div-half .table-standard {
    margin-top: 8px;
}

/**
 * Bootstrap overrides
 */
.container-row-margin .row + .row {
    margin-top: 1rem;
}

/**
 * jQuery UI overrides
 */
.ui-autocomplete.ui-front {z-index:1500;}

/**
 * Nyro Modal overrides
 */
.nyroModalBg {z-index:997;}
.nyroModalCloseButton {z-index:999;}
.nyroModalTitle {z-index:999;}
.nyroModalCont {z-index:998; display:block;}

.nyroModalLoad {
    width: 100px !important;
    height: 50px !important;
    background: #fff url(/resources/images/loading-trans.gif) no-repeat center !important;
}
